Zum Hauptinhalt springen
POST
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
/
draft
/
import
Daten in Entwurfstabelle importieren
curl --request POST \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'config=<string>' \
  --form file='@example-file'
import requests

url = "https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft/import"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "config": "<string>" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('config', '<string>');
form.append('file', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "duplicateRows": 123,
  "errors": [
    {
      "message": "Invalid input (details will vary based on the error)",
      "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
      "category": "VALIDATION_ERROR",
      "links": {
        "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
      }
    }
  ],
  "rowLimitExceeded": true,
  "rowsImported": 123
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

tableIdOrName
string
erforderlich

Die ID der Zieltabelle, in die die Daten importiert werden sollen.

Body

multipart/form-data
config
string
file
file

Antwort

successful operation

duplicateRows
integer<int32>
erforderlich

Gibt die Anzahl der doppelten Zeilen an

errors
object[]
erforderlich

Liste der Fehler während des Imports

rowLimitExceeded
boolean
erforderlich

Gibt an, ob das Zeilenlimit beim Importieren überschritten wurde

rowsImported
integer<int32>
erforderlich

Gibt die Anzahl der importierten Zeilen an

Zuletzt geändert am 1. April 2026